Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Atomic_Op_T.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Atomic_Op_T.i"`
`#include "Atomic_Op_T.cpp"`

Include dependency graph for Atomic_Op_T.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Atomic_Op
| Transparently parameterizes synchronization into basic arithmetic operations. More...
class | ACE_Atomic_Op_Ex
| Transparently parameterizes synchronization into basic arithmetic operations. More...

## Detailed Description

Id:
  Atomic_Op_T.h,v 4.5 2003/08/04 03:53:50 dhinton Exp

Author:
  Douglas C. Schmidt <schmidt@uci.edu>